﻿using System;
using System.Collections.Generic;

namespace rFER_ExcelExp
{
    class xlsExporter
    {
        string sheetName;
        string path;
        int col;
        int row;
        List<string> data = new List<string>();
        Microsoft.Office.Interop.Excel.Application oXL = null;

        public xlsExporter(string SheetName, string Path, int Col, int Row, List<string> Data, Microsoft.Office.Interop.Excel.Application OXL)
        {
            sheetName = SheetName;
            path = Path;
            col = Col;
            row = Row;
            data = Data;
            oXL = OXL;
        }

        public xlsExporter(string SheetName, string Path, int Col, int Row, List<int> Data, Microsoft.Office.Interop.Excel.Application OXL)
        {
            sheetName = SheetName;
            path = Path;
            col = Col;
            row = Row;
            foreach (int i in Data)  data.Add(Convert.ToString(i));
            oXL = OXL;
        }

        public xlsExporter(string SheetName, string Path, int Col, int Row, List<double> Data, Microsoft.Office.Interop.Excel.Application OXL)
        {
            sheetName = SheetName;
            path = Path;
            col = Col;
            row = Row;
            foreach (double i in Data) data.Add(Convert.ToString(i));
            oXL = OXL;
        }

        public void UpdateExcel()
        {
            Microsoft.Office.Interop.Excel._Workbook oWB = null;
            Microsoft.Office.Interop.Excel._Worksheet oSheet = null;
            oWB = oXL.Workbooks.Open(path);
            oSheet = String.IsNullOrEmpty(sheetName) ? (Microsoft.Office.Interop.Excel._Worksheet)oWB.ActiveSheet : (Microsoft.Office.Interop.Excel._Worksheet)oWB.Worksheets[sheetName];
            for(int i =0; i < data.Count; i++)
            {
                oSheet.Cells[row, col] = data[i];
                row++;
            }
            oWB.Save();
        }
    }
}